def Maximum(L):
    N=len(L)
    maxi=L[0]
    for i in range(1,N):
        if L[i]>maxi:
            maxi=L[i]
    return maxi

def Minimum(L):
    N=len(L)
    mini=L[0]
    for i in range(1,N):
        if L[i]<mini:
            mini=L[i]
    return mini

def Etendue(L):
    e=Maximum(L)-Minimum(L)
    return e

